package com.yeejoin.amos.boot.module.statistcs.biz.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.common.api.dto.DPFilterParamForDetailDto;
import com.yeejoin.amos.boot.module.common.api.enums.ZBGLEnum;
import com.yeejoin.amos.boot.module.statistcs.biz.constant.ZBGLConstants;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
@Slf4j
public class ZBGLDPStatisticsServiceImpl {
    public List<Map<String, Object>> getType(DPFilterParamForDetailDto dpFilterParamForDetailDto) {
        return ZBGLEnum.getEnumList();
    }

    public Map<String, Object> getChart(DPFilterParamForDetailDto dpFilterParamForDetailDto) {
        return ZBGLConstants.getChart(dpFilterParamForDetailDto);
    }

    public List<Map<String, String>> getTitle(DPFilterParamForDetailDto dpFilterParamForDetailDto) {
        return ZBGLConstants.getTitle(dpFilterParamForDetailDto);
    }

    public Page<Map<String, Object>> getPage(Page<Map<String, Object>> page, DPFilterParamForDetailDto dpFilterParamForDetailDto) {
        return ZBGLConstants.getPage(page,dpFilterParamForDetailDto);
    }
}
